*****************************************************************
*      Real Estate               *
*   ,                    *
*                                          *
*   RealEstate.prg  SET PROCEDURE TO FileProc *
*****************************************************************

PROCEDURE STOP            &&   
*    
*       
  ON KEY LABEL ESCAPE     &&     ESC
  DEACTIVATE WINDOW ALL
  RELEASE WINDOW ALL
  SET RESOURCE ON         &&  
                          &&   Foxuser.dbf
  _SCREEN.BACKCOLOR=RGB(255,255,255) &&   
  _SCREEN.WINDOWSTATE=2              &&    
  _SCREEN.MINBUTTON=.T.              &&   
  _SCREEN.MAXBUTTON=.T.              &&   
  _SCREEN.PICTURE=[]                 &&     
  _SCREEN.ICON=[]                    &&  
  *   
  _SCREEN.CAPTION=[Microsoft Visual FoxPro] 
  *    Visual FoxPro
* SET HELP TO
  ON SHUTDOWN             && . , 
                          &&    Visual FoxPro
  RELEASE ALL EXTENDED    &&    
  SET EXCLUSIVE ON        &&  
  SET DELETED OFF         &&   
  SET TALK ON             &&   
                          &&    
  SET SAFETY ON           &&   
                          &&   
  SET STATUS BAR ON       &&      
  ON ERROR                &&   
                          &&  
  SET SYSMENU TO DEFAULT  &&    FoxPro
  CLOSE DATABASES ALL     &&   
  CLOSE TABLES ALL        &&   
  CANCEL                  &&   FoxPro-
RETURN

PROCEDURE REALQUIT        &&    FoxPro
LOCAL lnMsgResult
lnMsgResult=MESSAGEBOX('     ?',;
                        20,'    ')
IF lnMsgResult=6      &&  
    QUIT              &&    Visual FoxPro
ENDIF                             
RETURN

PROCEDURE ERRORHND            &&   
ERRORCODE=ERROR()             &&   
ON KEY LABEL F10              &&    F10
*      
MsgLevel='     .'+CHR(13)+;
    CHR(13)+'     ,'+CHR(13)+;
    '   .'+CHR(13)+;
    '    .'
DO CASE                              
   CASE ERRORCODE=108
        ON KEY LABEL F10 DO CANCELWAIT
        WAIT  '!     .'+CHR(13)+;
              '     !'+;
               CHR(13)+MsgLevel+CHR(13) WINDOW NOWAIT
        DO NETDELAY      &&  
        ON KEY LABEL F10
        *      
        RETRY                 
   CASE ERRORCODE=109
        ON KEY LABEL F10 DO CANCELWAIT
        WAIT  '!     .';
        WINDOW NOWAIT
        DO NETDELAY      &&  
        ON KEY LABEL F10
   CASE ERRORCODE=130
        ON KEY LABEL F10 DO CANCELWAIT
        WAIT  '!   .'+CHR(13)+MsgLevel;
        WINDOW NOWAIT
        DO NETDELAY      &&  
        ON KEY LABEL F10
        *      
        RETRY           
   CASE ERRORCODE=202
        =MESSAGEBOX(' C:\WINNT\TEMP !',;
        48,' !')
        *     
        *    -
        RETURN TO MASTER
   CASE ERRORCODE=1002
        lnMsgResult=MESSAGEBOX(' .'+;
               ' ?',20,' !')
        IF lnMsgResult=6      &&  
           RETRY
        ELSE
           RETURN TO MASTER
        ENDIF                             
   CASE ERRORCODE=1105
        =MESSAGEBOX('       . '+;
        '    ,  '+;
        '  !',;
        48,' !')
        DO STOP
   CASE ERRORCODE=1585
        lnMsgResult=;
            MESSAGEBOX('   , '+;
            '   - . '+;
            '   ?',20,' !')
        IF lnMsgResult=6      &&  
            =TABLEUPDATE(.T.,.T.)
        ELSE
            =TABLEREVERT()
        ENDIF                             
   CASE ERRORCODE=1961
        *     
        WAIT '    C:\WINNT\TEMP !'+;
             CHR(13)+'  !' WINDOW NOWAIT
   CASE ERRORCODE=1884
         *      
         =MESSAGEBOX('     . '+;
                    '      '+;
                    '   ! '+;
                    '      '+;
                    'Exclusive    Clean Up';
                    ,48,' !')
         DELETE            &&    
         =TABLEREVERT()    &&     
   *     
   OTHERWISE
         lnMsgResult=MESSAGEBOX('   '+STR(ERRORCODE,4)+;
         [    ]+MESSAGE()+[     ]+MESSAGE([1])+;
         '     ?',20,'   ')
         IF lnMsgResult=6      &&  
            DO STOP
         ENDIF                             
ENDCASE
RETURN

PROCEDURE NETDELAY           &&  
PRIVATE DTDELAY,DTSECOND                  
DTDELAY=SECONDS()+3          &&  3 
DTSECOND=SECONDS()
DO WHILE DTSECOND<DTDELAY
   DTSECOND=SECONDS()
ENDDO
SET ESCAPE OFF
WAIT CLEAR
WAIT '' WINDOW TIMEOUT 0.1
SET ESCAPE ON
RETURN

PROCEDURE CANCELWAIT          &&  
ON KEY LABEL F10
WAIT CLEAR
DO STOP
RETURN TO MASTER

PROCEDURE ADJUSTMENT          &&   
PUBLIC VersionFoxPro          &&  FoxPro
VersionFoxPro=PADR(VERSION(),16)
PUBLIC DISK                   && ,    
DISK=SYS(5)+SYS(2003)
*      
_DblClick=0.5       
PUBLIC FAMILY                 &&  
FAMILY=[ ]
PUBLIC SuperVisor             &&  
Supervisor = .F.

*          
PUBLIC ChangePicture, ChangePassword,SetDeleted,CountRecords,;
       RightAccess,SeekBuilding,EddBuilding,WorkFlats,AccountWork,;
       WordExcel,StreetTown,DistrictTown,MaterialWall,Staff
STORE .T. TO ChangePicture, ChangePassword,SetDeleted,CountRecords,;
       RightAccess,SeekBuilding,EddBuilding,WorkFlats,AccountWork,;
       WordExcel,StreetTown,DistrictTown,MaterialWall,Staff
RETURN

PROCEDURE ABSOLUTELY
lnMsgResult=MESSAGEBOX('  '+;
   '    "",'+;
   '       .'+;
   ' ?',36,'  ! ')
IF lnMsgResult=6      &&  
     =MESSAGEBOX('          '+;
      '"" '+;
      '      - '+;
      '  "" ,   '+;
      ', . '+CHR(13)+;
      '    ,   "" '+;
      '     '+;
      '  -    '+;
      '   ,  .';
      ,48,'  ')
ENDIF
RETURN

PROCEDURE CALCULATOR             && 
ACTIVATE WINDOW CALCULATOR
MOVE WINDOW CALCULATOR CENTER
*RUN /N4 C:\WINDOWS\CALC.EXE
RETURN

PROCEDURE CALENDAR               && 
ACTIVATE WINDOW CALENDAR
MOVE WINDOW CALENDAR CENTER
RETURN


PROCEDURE INFORM      &&   
DEFINE WINDOW INFO FROM 2,5 TO 27,135;
       TITLE '  ';
       COLOR SCHEME 7;
       FONT "COURIER NEW",10;
       FLOAT CLOSE ZOOM GROW MINIMIZE;
       STYLE "B"
MOVE WINDOW INFO CENTER
ACTIVATE WINDOW INFO

? [   ...................... ]+SYS(17)
? [   ........................ ]+SYS(2006)
? [    ............. ]+ALLTRIM(STR(SYSMETRIC(1),4,0))+;
  [  ]+ALLTRIM(STR(SYSMETRIC(2),4,0))
? [    ................... ]+SYS(2020)+[ ]
? [    ................. ]+SYS(0)
? [   ....................... ]+FAMILY
? [     .............. ]+SYS(5)
? [    .................. ]+SYS(2003)
? [     Visual FoxPro ... ]+SYS(2004)
? [     ......... ]+SYS(2023)
? [    .................. ]+SYS(2005)
? [     ...... ]+SYS(2010)
? [    ................ ]+SYS(6)
? [   Visual FoxPro ........... ]+PADR(VERSION(),16)
? [   Visual FoxPro ............ ]+SYS(9)
? [      ... ]+SYS(12)+[ ]
? [   Visual FoxPro  . ]+SYS(1001)+[ ]
? [    FoxPro ....... ]+SYS(2019)
? [ ]
RETURN

Function CrKod               &&  
PARAMETERS cPassword
PRIVAT cLetter,cEncryptedPassword
cPassword=RTRIM(cPassword)
cEncryptedPassword=[]
FOR I=1 TO LEN(cPassword)
    cLetter=SUBSTR(cPassword,i,1)
    cEncryptedPassword=cEncryptedPassword+CHR(ASC(cLetter)-I)   
NEXT I
RETURN cEncryptedPassword


Function UnKod               &&  
PARAMETERS cEncryptedPassword
PRIVAT cLetter,cPassword
cEncryptedPassword=RTRIM(cEncryptedPassword)
cPassword=[]
FOR I=1 TO LEN(cEncryptedPassword)
  cLetter=SUBSTR(cEncryptedPassword,i,1)
  cPassword=cPassword+CHR(ASC(cLetter)+I)     
NEXT I
RETURN cPassword

PROCEDURE DisplayMemory                  &&  
PRIVATE FileName
*    - Display.txt
FileName='C:\WINNT\TEMP\Display.txt'
*     
DISPLAY MEMORY TO FILE &FileName NOCONSOLE
*     
RUN /N1 NOTEPAD.EXE &FileName
*   
DELETE FILE &FileName
RETURN       

PROCEDURE Detail        &&  
PARAMETERS SelectDateTreaty,DayText,MonthText,YearText
DAYS=DAY(SelectDateTreaty)
DO CASE
   CASE DAYS=1
        DayText=[]
   CASE DAYS=2
        DayText=[]
   CASE DAYS=3
        DayText=[]
   CASE DAYS=4
        DayText=[]
   CASE DAYS=5
        DayText=[]
   CASE DAYS=6
        DayText=[]
   CASE DAYS=7
        DayText=[]
   CASE DAYS=8
        DayText=[]
   CASE DAYS=9
        DayText=[]
   CASE DAYS=10
        DayText=[]
   CASE DAYS=11
        DayText=[]
   CASE DAYS=12
        DayText=[]
   CASE DAYS=13
        DayText=[]
   CASE DAYS=14
        DayText=[]
   CASE DAYS=15
        DayText=[]
   CASE DAYS=16
        DayText=[]
   CASE DAYS=17
        DayText=[]
   CASE DAYS=18
        DayText=[]
   CASE DAYS=19
        DayText=[]
   CASE DAYS=20
        DayText=[]
   CASE DAYS=21
        DayText=[ ]
   CASE DAYS=22
        DayText=[ ]
   CASE DAYS=23
        DayText=[ ]
   CASE DAYS=24
        DayText=[ ]
   CASE DAYS=25
        DayText=[ ]
   CASE DAYS=26
        DayText=[ ]
   CASE DAYS=27
        DayText=[ ]
   CASE DAYS=28
        DayText=[ ]
   CASE DAYS=29
        DayText=[ ]
   CASE DAYS=30
        DayText=[]
   CASE DAYS=31
        DayText=[ ]
ENDCASE
MONTHS=MONTH(SelectDateTreaty)
DO CASE
   CASE MONTHS=1
        MonthText=[ ]
   CASE MONTHS=2
        MonthText=[ ]
   CASE MONTHS=3
        MonthText=[ ]
   CASE MONTHS=4
        MonthText=[ ]
   CASE MONTHS=5
        MonthText=[ ]
   CASE MONTHS=6
        MonthText=[ ]
   CASE MONTHS=7
        MonthText=[ ]
   CASE MONTHS=8
        MonthText=[ ]
   CASE MONTHS=9
        MonthText=[ ]
   CASE MONTHS=10
        MonthText=[ ]
   CASE MONTHS=11
        MonthText=[ ]
   CASE MONTHS=12
        MonthText=[ ]
ENDCASE
YEARS=YEAR(SelectDateTreaty)
DO CASE
   CASE YEARS=1996
        YearText=[      ] 
   CASE YEARS=1997
        YearText=[      ] 
   CASE YEARS=1998
        YearText=[      ] 
   CASE YEARS=1999
        YearText=[      ] 
   CASE YEARS=2000
        YearText=[  ] 
   CASE YEARS=2001
        YearText=[    ] 
   CASE YEARS=2002
        YearText=[    ] 
   CASE YEARS=2003
        YearText=[    ] 
   CASE YEARS=2004
        YearText=[    ] 
   CASE YEARS=2005
        YearText=[    ] 
   CASE YEARS=2006
        YearText=[    ] 
   CASE YEARS=2007
        YearText=[    ] 
   CASE YEARS=2008
        YearText=[    ] 
   CASE YEARS=2009
        YearText=[    ] 
   CASE YEARS=2010
        YearText=[    ] 
   OTHERWISE
        YearText=[] 
ENDCASE   
RETURN

PROCEDURE WRITE             &&    
      *    ExcelAccount (. )
      oExcel.Range([A]+ALLTRIM(STR(nRow,3))).Select
      oExcel.ActiveCell.FormulaR1C1=DTOC(pAccount.Data_zap)

      oExcel.Range([B]+ALLTRIM(STR(nRow,3))).Select
      DO CASE
         CASE pAccount.CONTENTS=' '
              cAcContents=[    ]
         CASE pAccount.CONTENTS='.  '
              cAcContents=[  ]       
         CASE pAccount.CONTENTS='. '
              cAcContents=[ ]       
         CASE pAccount.CONTENTS='.    '
              cAcContents=[ ]       
         CASE pAccount.CONTENTS='.   '
              cAcContents=[ ]       
         CASE pAccount.CONTENTS='. '
              cAcContents=[   ]       
         CASE pAccount.CONTENTS='.    '
              cAcContents=[  ]       
         CASE pAccount.CONTENTS='.   '
              cAcContents=[ ]       
         CASE pAccount.CONTENTS='. '
              cAcContents=[   ()]       
         CASE pAccount.CONTENTS='.    '
              cAcContents=[  ()]       
         CASE pAccount.CONTENTS='.   '
              cAcContents=[  ()]
         CASE pAccount.CONTENTS=' '
              cAcContents=[    ]       
         CASE pAccount.CONTENTS=''
              cAcContents=[   ]       
         CASE pAccount.CONTENTS=' '
              cAcContents=[     ]       
         CASE pAccount.CONTENTS=''
              cAcContents=[    ]       
         CASE pAccount.CONTENTS=' '
              cAcContents=[   ]       
         CASE pAccount.CONTENTS='  '
              cAcContents=[    ]       
         CASE pAccount.CONTENTS=' '
              cAcContents=[   ]       
         CASE pAccount.CONTENTS='       '
              cAcContents=[ ]       
         CASE pAccount.CONTENTS=''
              cAcContents=[  ]       
         CASE pAccount.CONTENTS='      '
              cAcContents=[]       
         CASE pAccount.CONTENTS=' .'
              cAcContents=[   ]       
         OTHERWISE
             cAcContents=pAccount.Contents
      ENDCASE   
      oExcel.ActiveCell.FormulaR1C1=cAcContents
      oExcel.Range([C]+ALLTRIM(STR(nRow,3))).Select
      oExcel.ActiveCell.FormulaR1C1=pAccount.nach
      oExcel.Range([D]+ALLTRIM(STR(nRow,3))).Select
      oExcel.ActiveCell.FormulaR1C1=pAccount.ymyb
      oExcel.Range([E]+ALLTRIM(STR(nRow,3))).Select
      oExcel.ActiveCell.FormulaR1C1=pAccount.ypdona
      oExcel.Range([F]+ALLTRIM(STR(nRow,3))).Select
      oExcel.ActiveCell.FormulaR1C1=pAccount.ypvs
      oExcel.Range([G]+ALLTRIM(STR(nRow,3))).Select
      oExcel.ActiveCell.FormulaR1C1=pAccount.vpe
      oExcel.Range([H]+ALLTRIM(STR(nRow,3))).Select
      oExcel.ActiveCell.FormulaR1C1=pAccount.saldo
      oExcel.Range([I]+ALLTRIM(STR(nRow,3))).Select
      oExcel.ActiveCell.FormulaR1C1=pAccount.npe
      oExcel.Range([J]+ALLTRIM(STR(nRow,3))).Select
      oExcel.ActiveCell.FormulaR1C1=pAccount.remark
      oExcel.Range([K]+ALLTRIM(STR(nRow,3))).Select
      oExcel.ActiveCell.FormulaR1C1=pAccount.ypnedo
      oExcel.Range([L]+ALLTRIM(STR(nRow,3))).Select
      oExcel.ActiveCell.FormulaR1C1=pAccount.raypvo
      oExcel.Range([M]+ALLTRIM(STR(nRow,3))).Select
      oExcel.ActiveCell.FormulaR1C1=pAccount.ostpe
      oExcel.Range([N]+ALLTRIM(STR(nRow,3))).Select
      oExcel.ActiveCell.FormulaR1C1=pAccount.ostsh
RETURN
